#!/tvbin/tivosh

##############
# fixsub.tcl #
##############

source $tcl_library/tv/StatusStrings.itcl
tvsource $tcl_library/tv/mfslib.tcl

proc FixSub {db} {
    try {
        RetryTransaction {
            set now [clock seconds]
            set today [expr ($now / 86400)]
            set stateExpiration [expr ($today + 7)]
            set nextCall [expr ($stateExpiration * 86400)]
	    set lastCallStatus $StatusStrings::Succeeded
	    set callStatusInfo $StatusStringEnums::Succeeded

            set sobj [db $db open /Setup]
            set ssobj [dbobj $sobj get ServiceInfo]

            dbobj $sobj set Complete 7
            dbobj $sobj set DemoMode 0
            dbobj $sobj set LastCallStatus $lastCallStatus
            dbobj $sobj set LastCallAttempt $now
            dbobj $sobj set LastSuccessCall $now
            dbobj $sobj set NextCallAttempt $nextCall
            dbobj $sobj set ServiceState 5
            dbobj $sobj set ServiceStateExpiration $stateExpiration

            dbobj $ssobj set CallStatusInfo $callStatusInfo
            dbobj $ssobj set LastDialInUpdateTime $today
            dbobj $ssobj set LastSuccessPGDCall $now
        }
    } catch errCode {
        puts "Failed to FixSub, code=($errCode)"
        return 0
    }
    return 1
}

set db [dbopen]
  FixSub $db
dbclose $db
